body{
    background-color: black;
    color: white;
    margin: 0;
    font-family: 'Kanit', 'Noto Color Emoji', 'Noto Sans JP', sans-serif;
}

.header{
    position: fixed;
    display: flex;
    align-items: center;
    width: 100%;
    height: 70px;
    left: 0;
    top: 0; 
    background-color: rgb(0, 0, 0, 0.6);
    backdrop-filter: blur(10px);
    z-index: 999999;
    transition: all 0.4s cubic-bezier(0.22, 1, 0.36, 1);
}

.headers{
    position: fixed;
    display: flex;
    align-items: center;
    width: 100%;
    height: 40px;
    left: 0;
    top: 0; 
    background-color: rgb(0, 0, 0, 0.6);
    backdrop-filter: blur(10px);
    z-index: 999999;
    transition: all 0.4s cubic-bezier(0.22, 1, 0.36, 1);
}

.dl{
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgb(255, 255, 255, 0.9);
    border-radius: 10px;
    width: 100px;
    height: 35px;
    transition: all 0.3s;
    color: black;
    font-weight: 600;
}

.dl:hover{
    border-radius: 15px;
    transform: scale(1.2);
}

.dls{
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgb(255, 255, 255, 0.9);
    border-radius: 7px;
    width: 90px;
    height: 25px;
    transition: all 0.3s;
    color: black;
    font-weight: 600;
}

.dls:hover{
    border-radius: 10px;
    transform: scale(1.2);
}

.tokulybtn{
    position: absolute;
    top: -10px;
    left: 50%;
    margin-left: -50px;
    transition: all 0.4s cubic-bezier(0.22, 1, 0.36, 1);
}

.tokulybtns{
    position: absolute;
    top: -10px;
    left: 20px;
    font-size: 30px;
    transition: all 0.4s cubic-bezier(0.22, 1, 0.36, 1);
}

.tokulys{
    color: white;
    transition: all 0.3s;
    font-size: 20px;
}

.tokulys:hover{
    transform: scale(1.1);
}

.tokuly{
    color: white;
    transition: all 0.3s;
    font-size: 30px;
}

.tokuly:hover{
    transform: scale(1.1);
}

.counter{
    text-align: center;
    font-size: 20px;
}

.imgs{
    display: flex;
    justify-content: center;
    margin: auto;
    background-color: rgb(255, 255, 255, 0.1);
    width: 90%;
    max-width: 500px;
    border-radius: 20px;
    padding: 10px;
}

.preimg{
    border-radius: 20px;
    width: 100%;
    aspect-ratio: 9/19.5;
}

.footer{
    position: relative;
    height: 100px;
    background-color: rgba(0, 0, 0, 0.8);
    box-shadow: 0 0 10px rgb(113, 113, 113);
    border-radius: 20px;
    margin: auto;
    margin-bottom: 20px;
    margin-top: 40px;
    font-weight: 600;
}

.madebylove{
    position: absolute;
    bottom: 10px;
    right: 20px;
    color: white;
    text-decoration: none;
    transition: all 0.3s;
}

.madebylove:hover{
    animation: heartbeat 0.8s infinite;
}

.links{
    display: flex;
    margin-left: 20px;
}

.link{
    margin-right: 20px;
    text-decoration: none;
    color: white;
    transition: all 0.3s;
}

.link:hover{
    transform: scale(1.2);
}

.top{
    height: 50vh;
    position: relative;
    margin-bottom: 100px;
}

.toptext {
    display: flex;
    justify-content: center;
    user-select: none;
    /*margin-top: 50vh;*/
    font-size: 60px;
    text-align: center;
    background: linear-gradient(to right, #fbff00, #f11a1a);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    background-size: 150% 100%;
    background-position: 100% 0;
    transition: all 0.3s ease;
    position: relative;
}

.toptext:hover {
    transform: rotate(-10deg) scale(1.1);
    background-position: left;
}

.dlbtn{
    position: absolute;
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%);
}

.dltext{
    transition: all 0.3s;
    color: black;
}

.dltop{
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgb(255, 255, 255);
    box-shadow: 0 0 20px rgb(255, 255, 255, 0.7);
    border-radius: 10px;
    width: 150px;
    height: 45px;
    transition: all 0.3s;
    color: black;
    font-size: 25px;
    font-weight: 600;
}

.dltop:hover{
    transform: rotate(10deg) scale(1.2);
    animation: borderrainbow 4s linear infinite;
    .dltext{
        background: linear-gradient(to right, #00c8ff, rgb(1, 25, 250));
        -webkit-background-clip: text;
        background-clip: text;
        color: transparent;
    }
}

@keyframes borderrainbow {
    0% {
        box-shadow: 0 0 20px 1px rgba(204, 94, 255, 0.9);
    }
    14% {
        box-shadow: 0 0 20px 1px rgba(255, 0, 0, 0.9);
    }
    28% {
        box-shadow: 0 0 20px 1px rgba(255, 140, 0, 0.9);
    }
    42% {
        box-shadow: 0 0 20px 1px rgba(255, 255, 0, 0.9);
    }
    57% {
        box-shadow: 0 0 20px 1px rgba(0, 128, 0, 0.9);
    }
    71% {
        box-shadow: 0 0 20px 1px rgba(0, 0, 255, 0.9);
    }
    85% {
        box-shadow: 0 0 20px 1px rgba(75, 0, 130, 0.9);
    }
    100% {
        box-shadow: 0 0 20px 1px rgba(204, 94, 255, 0.9);
    }
}

.waltext{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.wal{
    animation-name:wal;
    animation-duration:1s;
    animation-fill-mode:forwards;
    opacity:0;
    text-align: center;
    color: white;
}

@keyframes wal{
    from {
      opacity: 0;
    }
  
    to {
      opacity: 1;
    }
  }

#whiteblock{
    position: fixed;
    width: 100%;
    height: 100vh;
    background-color: white;
    top: -100vh;
    transition: all 0.7s cubic-bezier(0.22, 1, 0.36, 1);
}



@keyframes heartbeat {
    0% {
      transform: scale(1);
    }
    30% {
        transform: scale(1);
    }
    50% {
      transform: scale(1.1);
    }
    80% {
        transform: scale(1);
    }
    100% {
      transform: scale(1);
    }
  }